/*
        Copyright 07 Mar 1995 Sun Microsystems, Inc. All Rights Reserved
*/
/* typeinfo.h

   Copyright Sun Microsystems Inc. 1994
   All Rights Reserved

   @(#)typeinfo.h	1.3  07 Mar 1995 16:00:52

*/

#ifndef _TYPEINFO_H
#define _TYPEINFO_H

class type_info {
public:
    enum Bool { False= 0, True = 1};	// to be deleted when bool is builtin

    virtual ~type_info();
    virtual Bool operator==(const type_info& rhs) const;
    virtual Bool operator!=(const type_info& rhs) const;
    virtual Bool before(const type_info& rhs) const;
    const char *name() const;

private:
    const char *ty_name;
    int reserved;	// must be 0

    type_info(const type_info&);
    type_info& operator=(const type_info&);
};

class bad_typeid {};	// temporary
class bad_cast {};	// temporary

#endif
